Crystal Space: iSndSysRendererCallback Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysRendererCallback Struct Reference
[Sound system]

Sound System renderer interface for callback notification. More...

`#include <isndsys/ss_renderer.h>`

Inheritance diagram for iSndSysRendererCallback:

[legend]
List of all members.

## Public Member Functions
| SCF_INTERFACE (iSndSysRendererCallback, 0, 1, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.
virtual void | SourceAddNotification (iSndSysSource *pSource)=0
| Called whenever a source is added to the system.
virtual void | SourceRemoveNotification (iSndSysSource *pSource)=0
| Called whenever a source is removed to the system.
virtual void | StreamAddNotification (iSndSysStream *pStream)=0
| Called whenever a stream is added to the system.
virtual void | StreamRemoveNotification (iSndSysStream *pStream)=0
| Called whenever a stream is removed from the system.

## Detailed Description

Sound System renderer interface for callback notification.

Definition at line 97 of file ss_renderer.h.

## Member Function Documentation

iSndSysRendererCallback::SCF_INTERFACE | ( | iSndSysRendererCallback | ,
|  | 0 | ,
|  | 1 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

virtual void iSndSysRendererCallback::SourceAddNotification | ( | iSndSysSource * | pSource | ) | `[pure virtual]`

Called whenever a source is added to the system.

virtual void iSndSysRendererCallback::SourceRemoveNotification | ( | iSndSysSource * | pSource | ) | `[pure virtual]`

Called whenever a source is removed to the system.

virtual void iSndSysRendererCallback::StreamAddNotification | ( | iSndSysStream * | pStream | ) | `[pure virtual]`

Called whenever a stream is added to the system.

virtual void iSndSysRendererCallback::StreamRemoveNotification | ( | iSndSysStream * | pStream | ) | `[pure virtual]`

Called whenever a stream is removed from the system.

The documentation for this struct was generated from the following file:

- isndsys/ss_renderer.h